org.richfaces.ui.output.component

## Enum UIYAxis.Properties

- java.lang.Object
- - java.lang.Enum<UIYAxis.Properties>
  - - org.richfaces.ui.output.component.UIYAxis.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIYAxis.Properties>
  Enclosing class:
    UIYAxis

      protected static enum UIYAxis.Properties
      extends Enum<UIYAxis.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `format`
    `label`
    `max`
    `min`
    `pad`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIYAxis.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIYAxis.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### format

          public static final UIYAxis.Properties format

    - #### label

          public static final UIYAxis.Properties label

    - #### max

          public static final UIYAxis.Properties max

    - #### min

          public static final UIYAxis.Properties min

    - #### pad

          public static final UIYAxis.Properties pad

  - ### Method Detail

    - #### values

          public static UIYAxis.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIYAxis.Properties c : UIYAxis.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIYAxis.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.